import { resolve } from "pathe";
import { defineUntypedSchema } from "untyped";
const schema = defineUntypedSchema({
    rootDir: {
        $default: process.cwd(),
        $resolve: value => (typeof value === "string" ? resolve(value) : process.cwd()),
    },
    srcDir: {
        $default: "src/",
        $resolve: async (value, get) => resolve(await get("core.rootDir"), value || "."),
    },
    modulesDir: {
        $default: ["node_modules"],
        $resolve: async (values, get) => [
            ...(await Promise.all(values.map(async (directory) => resolve(await get("core.rootDir"), directory)))),
            resolve(process.cwd(), "node_modules"),
        ],
    },
    extensions: {
        $resolve: values => (Array.isArray(values) ? values.filter(Boolean) : []),
    },
    alias: {
        $default: {},
        $resolve: async (value, get) => ({
            "~": await get("core.srcDir"),
            "@": await get("core.srcDir"),
            ...value,
        }),
    },
});
export default schema;
//# sourceMappingURL=index.js.map